#include <iostream>
#include <string>
#include <cmath>
using namespace std;
int main(){
	ios_base::sync_with_stdio(false);
	string c;
	int a,b;cin>>c>>a>>b;
	if(a==b){
		while(a>0){
			cout<<c;
			a--;
		}
	}
	else if(abs(a-b)==1){
		if(a>b){
			while(b>0){
				cout<<c;
				b--;
			}
			cout<<c[0];
		}
		else{
			cout<<c[1];
			while(a>0){
				cout<<c;
				a--;
			}
		}
	}
	else{
		cout<<"nemoguce";
	}
	
	return 0;
}